FROM ubuntu:24.04

RUN apt-get update 

RUN apt-get install -y curl 

RUN apt-get install -y nginx && apt-get clean

RUN ln -sf /dev/stdout /var/log/nginx/access.log

RUN sed -i -e 's%location / {%location \/ {\n\t\tautoindex on;%g' /etc/nginx/sites-enabled/default

EXPOSE 80

CMD ["nginx", "-g", "daemon off;", "-c", "/etc/nginx/nginx.conf"]
